Znany problem aktualizacji zabezpieczeń 3098779 i 3097997 dla.NET Framework 4.5.1 i 4.5.2, po zainstalowaniu 4.6.NET Framework na Windows 8.1, 8.1 RT systemu Windows i systemu Windows Server 2012 R2

WAŻNE: Ten artykuł został przetłumaczony przy użyciu oprogramowania firmy Microsoft do tłumaczenia maszynowego i może być poprawiony przy użyciu technologii Community Translation Framework (CTF). Firma Microsoft udostępnia artykuły tłumaczone maszynowo, poprawione przez społeczność, a także tłumaczone przez tłumaczy profesjonalnych, aby zapewnić dostęp do wszystkich artykułów w bazie wiedzy w wielu językach. Artykuły tłumaczone maszynowo i poprawione mogą zawierać błędy pisowni, składniowe i gramatyczne. Firma Microsoft nie ponosi odpowiedzialności za żadne nieścisłości, błędy ani szkody spowodowane przez niepoprawne tłumaczenia zawartości ani przez korzystanie z niej przez klientów. Więcej o strukturze CTF: http://support.microsoft.com/gp/machine-translation-corrections/pl.

Anglojęzyczna wersja tego artykułu to: 3118750
Streszczenie
Klienci, który aktualizujesz.NET Framework 4.5.1 lub 4.5.2 4.6.NET Framework lub programu Visual Studio 2015 r. który instalowania po zainstalowaniu aktualizacji 3098779 i 3097997 mogą wystąpić problemy, jeśli są uruchamiane aplikacje.NET Framework.

Ponadto klienci korzystający z systemu, który ma.NET Framework dla Microsoft 4.6 zainstalowane i który ręcznie zastosować aktualizacje zabezpieczeń 3098779 i 3097997 dla.NET Framework dla Microsoft 4.5.1 i 4.5.2 Windows 8.1, 8.1 RT systemu Windows i systemu Windows Server 2012 R2 mogą wystąpić problemy podczas uruchamiania aplikacji.NET Framework.

Uwaga: Starszych systemów operacyjnych, które mają.NET Framework 4.5.1 lub zainstalowany 4.5.2 nie jest narażony na ten problem, ponieważ aktualizacje zabezpieczeń 3098779 i 3097997 nie stosuje się do nich.
Symptomy

Scenariusz 1

  • .NET Framework 4.5.1 lub 4.5.2 są używane w Windows 8.1, Windows RT 8.1 lub systemu Windows Server 2012 R2.
  • Zainstalowano wszystkie najnowsze aktualizacje dla.NET Framework 4.5.1 i 4.5.2. Dotyczy to aktualizacji 3098779 i 3097997.
  • Pobierz i zainstaluj .NET Framework 4.6 lub zainstaluj program Microsoft Visual Studio 2015.
W tym scenariuszu niektóre składniki 4.6.NET Framework nie są uaktualniane zgodnie z oczekiwaniami, lub niektóre aplikacje.NET Framework nie uruchamiają się lub nie działa poprawnie.

Scenariusz 2

  • 4.6.NET Framework są używane w Windows 8.1, Windows RT 8.1 lub systemu Windows Server 2012 R2.
  • Ręcznie zastosować aktualizacje 3098779 i 3097997 lub innych aktualizacji nie przeznaczone do 4.6.NET Framework, nawet jeśli te aktualizacje są przeznaczone dla.NET Framework 4.5.1 i 4.5.2.

    Zwróć uwagęJest nieobsługiwany scenariusz. Aby uzyskać więcej informacji na temat określania prawidłowego stosowania aktualizacji programu Microsoft.NET Framework Zobacz artykule bazy wiedzy firmy Microsoft 3136092.
W tym scenariuszu niektóre aplikacje.NET Framework nie uruchamiają się lub nie działa poprawnie.
Rozwiązanie

Rozdzielczość w scenariuszu 1

Klienci mogą rozwiązać te problemy, uaktualniając.NET Framework 4.6.1 z następujących witryn sieci Web w witrynie Microsoft Download Center:

Alternatywnie klienci można odinstalować aktualizacji 3098779 i 3097997, jeśli zaktualizowali systemy.NET Framework 4.6 lub został zainstalowany program Visual Studio 2015 r. z zaktualizowanym platformy .NET 4.5.1 4.5.2 systemu lub ma aktualizacji 3098779 i 3097997 zainstalowane.

Klienci następnie należy ponownie przeskanować witryny Windows Update i pobieranie i instalowanie aktualizacji 3098785 i 3098000. Są odpowiednie Biuletyn zabezpieczeń firmy Microsoft MS15-118 aktualizacje dla 4.6.NET Framework Windows 8.1, Windows RT 8.1 lub systemu Windows Server 2012 R2. Ta akcja spowoduje wyeliminowania niezgodności wersji.

Rozdzielczość w scenariuszu 2

Klienci, którzy ręcznie zastosować aktualizacje, 3098779 i 3097997 w systemach 4.6.NET Framework zainstalowana, należy pamiętać, że nie jest to obsługiwany scenariusz. Aktualizacje te nie dotyczą 4.6.NET Framework.

W związku z tym klienci korzystający z 4.6.NET Framework należy odinstalować aktualizacji 3098779 i 3097997. Klientów należy następnie skanowania witryny Windows Update i zainstalować tylko te aktualizacje, które dotyczą 4.6.NET Framework. Ta akcja spowoduje wyeliminowania niezgodności wersji.

Podobnie klienci korzystający z NET 4.5.1 lub 4.5.2 Upewnij się, że nie istnieją żadne aktualizacje, które mają zastosowanie do innych wersji.NET Framework, zainstalowanej na ich systemów. Na przykład aktualizacji, które są przeznaczone do 4.6.NET Framework nie stosuje się do systemów, które mają NET 4.5.1 lub 4.5.2 zainstalowany. Aby uzyskać więcej informacji na temat określenia prawidłowego stosowania aktualizacje.NET Framework dla Microsoft 4.6 i 4.6.1 w bartykule seeMicrosoftKnowledge 3136092.
Stan
Firma Microsoft potwierdziła, że jest to problem występujący w produktach firmy Microsoft wymienionych w sekcji „Dotyczy”.

Stosuje się do

Ten artykuł dotyczy następujących produktów:

  • .NET Framework dla Microsoft 4.6 używanego z systemami:

    • Windows Server 2012 R2
    • Windows 8.1
    • Windows RT 8.1
  • Microsoft.NET Framework 4.5.2 używanego z systemami:

    • Windows Server 2012 R2
    • Windows 8.1
    • Windows RT 8.1
  • Microsoft.NET Framework 4.5.1 używanego z systemami:

    • Windows Server 2012 R2
    • Windows 8.1
    • Windows RT 8.1

Właściwości

Identyfikator artykułu: 3118750 — ostatni przegląd: 01/15/2016 08:37:00 — zmiana: 4.0

Microsoft .NET Framework 4.6, Microsoft .NET Framework 4.5.2, Microsoft .NET Framework 4.5.1

  • atdownload kbbug kbexpertiseinter kbfix kbsecbulletin kbsecurity kbsecvulnerability kbmt KB3118750 KbMtpl
Opinia